Skip to main content
GET
/
customers
/
{customer_id}
/
ach-mandates
List all ACH mandates
curl --request GET \
  --url https://commerce1.on-hellgate.dev/customers/{customer_id}/ach-mandates \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "account_holder": "<string>",
      "account_number": "<string>",
      "account_type": "<string>",
      "country_code": "<string>",
      "email": "<string>",
      "routing_number": "<string>",
      "status": "<string>",
      "token": "<string>"
    }
  ],
  "pagination": {
    "current_page": 123,
    "next_page": 123,
    "page_size": 123,
    "previous_page": 123,
    "total_items": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

customer_id
string
required

Customer ID

Query Parameters

page
integer

Page cursor for pagination

limit
integer

Maximum items per page

Response

Success

data
AchMandateResponse · object[]
pagination
PaginationSchema · object